Package org.eclipse.ecf.remoteservice

# Class RemoteServiceFilterImpl

java.lang.Object
org.eclipse.ecf.remoteservice.util.RemoteFilterImpl
org.eclipse.ecf.remoteservice.RemoteServiceFilterImpl

All Implemented Interfaces:
  `IRemoteFilter`, `Filter`

public class RemoteServiceFilterImpl extends RemoteFilterImpl

Since:
  8.3

## Field Summary

### Fields inherited from class org.eclipse.ecf.remoteservice.util.RemoteFilterImpl

`REMOTE_SERVICEID_PREFIX`

## Constructor Summary

Constructors
Constructor
Description
`RemoteServiceFilterImpl(String createFilter)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`match(IRemoteServiceReference reference)`
Filter using a remote service's properties.
`boolean`
`match(ServiceReference reference)`

### Methods inherited from class org.eclipse.ecf.remoteservice.util.RemoteFilterImpl

`equals, getObjectClassFilterString, getRsId, hashCode, match, matchCase, matches, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RemoteServiceFilterImpl

public RemoteServiceFilterImpl(String createFilter) throws InvalidSyntaxException

Parameters:
  `createFilter` - filter as string
Throws:
  `InvalidSyntaxException` - thrown if given String filter cannot be converted into a valid filter

## Method Details

### match

public boolean match(IRemoteServiceReference reference)
Description copied from interface: `IRemoteFilter`
Filter using a remote service's properties.

The filter is executed using the keys and values of the referenced service's properties. The keys are case insensitively matched with the filter.

Specified by:
  `match` in interface `IRemoteFilter`
Overrides:
  `match` in class `RemoteFilterImpl`
Parameters:
  `reference` - The reference to the service whose properties are used in the match.
Returns:
  `true` if the service's properties match this filter; `false` otherwise.

### match

public boolean match(ServiceReference reference)

Specified by:
  `match` in interface `Filter`
Overrides:
  `match` in class `RemoteFilterImpl`